## uremote 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: uremote
# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Feb 9 19:26:40 2010
# Project:  uremote.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile uremote.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: uremote.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile uremote.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile uremote.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

## uremote 1.0.1

=== Makefile ===
#############################################################################
# Makefile for building: uremote
# Generated by qmake (2.01a) (Qt 4.5.3) on: Wed Feb 24 17:33:21 2010
# Project:  uremote.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile uremote.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: uremote.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile uremote.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile uremote.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Feb 9 20:06:09 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = btconnection.cpp \
		main.cpp \
		mainwindow.cpp \
		torrentdata.cpp \
		torrentitem.cpp \
		filterdialog.cpp \
		settingsdialog.cpp \
		torrentdialog.cpp \
		addtorrentdialog.cpp \
		filesdialog.cpp \
		json.cpp \
		aboutdialog.cpp moc_btconnection.cpp \
		moc_mainwindow.cpp \
		moc_torrentitem.cpp \
		moc_filterdialog.cpp \
		moc_settingsdialog.cpp \
		moc_torrentdialog.cpp \
		moc_addtorrentdialog.cpp \
		moc_filesdialog.cpp \
		moc_aboutdialog.cpp
OBJECTS       = btconnection.o \
		main.o \
		mainwindow.o \
		torrentdata.o \
		torrentitem.o \
		filterdialog.o \
		settingsdialog.o \
		torrentdialog.o \
		addtorrentdialog.o \
		filesdialog.o \
		json.o \
		aboutdialog.o \
		moc_btconnection.o \
		moc_mainwindow.o \
		moc_torrentitem.o \
		moc_filterdialog.o \
		moc_settingsdialog.o \
		moc_torrentdialog.o \
		moc_addtorrentdialog.o \
		moc_filesdialog.o \
		moc_aboutdialog.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = src
DESTDIR       = 
TARGET        = src

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_torrentitem.h ui_filterdialog.h ui_settingsdialog.h ui_torrentdialog.h ui_addtorrentdialog.h ui_filesdialog.h ui_aboutdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/src1.0.0 || $(MKDIR) .tmp/src1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/src1.0.0/ && $(COPY_FILE) --parents btconnection.h mainwindow.h torrentdata.h torrentitem.h torrentstatus.h filterdialog.h settingsdialog.h torrentdialog.h addtorrentdialog.h filesdialog.h json.h aboutdialog.h .tmp/src1.0.0/ && $(COPY_FILE) --parents btconnection.cpp main.cpp mainwindow.cpp torrentdata.cpp torrentitem.cpp filterdialog.cpp settingsdialog.cpp torrentdialog.cpp addtorrentdialog.cpp filesdialog.cpp json.cpp aboutdialog.cpp .tmp/src1.0.0/ && $(COPY_FILE) --parents mainwindow.ui torrentitem.ui filterdialog.ui settingsdialog.ui torrentdialog.ui addtorrentdialog.ui filesdialog.ui aboutdialog.ui .tmp/src1.0.0/ && (cd `dirname .tmp/src1.0.0` && $(TAR) src1.0.0.tar src1.0.0 && $(COMPRESS) src1.0.0.tar) && $(MOVE) `dirname .tmp/src1.0.0`/src1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/src1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_btconnection.cpp moc_mainwindow.cpp moc_torrentitem.cpp moc_filterdialog.cpp moc_settingsdialog.cpp moc_torrentdialog.cpp moc_addtorrentdialog.cpp moc_filesdialog.cpp moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_btconnection.cpp moc_mainwindow.cpp moc_torrentitem.cpp moc_filterdialog.cpp moc_settingsdialog.cpp moc_torrentdialog.cpp moc_addtorrentdialog.cpp moc_filesdialog.cpp moc_aboutdialog.cpp
moc_btconnection.cpp: torrentdata.h \
		torrentstatus.h \
		btconnection.h
	/usr/bin/moc $(DEFINES) $(INCPATH) btconnection.h -o moc_btconnection.cpp

moc_mainwindow.cpp: btconnection.h \
		torrentdata.h \
		torrentstatus.h \
		torrentitem.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_torrentitem.cpp: torrentdata.h \
		torrentstatus.h \
		btconnection.h \
		torrentitem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) torrentitem.h -o moc_torrentitem.cpp

moc_filterdialog.cpp: torrentdata.h \
		torrentstatus.h \
		filterdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) filterdialog.h -o moc_filterdialog.cpp

moc_settingsdialog.cpp: mainwindow.h \
		btconnection.h \
		torrentdata.h \
		torrentstatus.h \
		torrentitem.h \
		settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_torrentdialog.cpp: btconnection.h \
		torrentdata.h \
		torrentstatus.h \
		torrentdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) torrentdialog.h -o moc_torrentdialog.cpp

moc_addtorrentdialog.cpp: btconnection.h \
		torrentdata.h \
		torrentstatus.h \
		addtorrentdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) addtorrentdialog.h -o moc_addtorrentdialog.cpp

moc_filesdialog.cpp: btconnection.h \
		torrentdata.h \
		torrentstatus.h \
		filesdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) filesdialog.h -o moc_filesdialog.cpp

moc_aboutdialog.cpp: aboutdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aboutdialog.h -o moc_aboutdialog.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_torrentitem.h ui_filterdialog.h ui_settingsdialog.h ui_torrentdialog.h ui_addtorrentdialog.h ui_filesdialog.h ui_aboutdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_torrentitem.h ui_filterdialog.h ui_settingsdialog.h ui_torrentdialog.h ui_addtorrentdialog.h ui_filesdialog.h ui_aboutdialog.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

ui_torrentitem.h: torrentitem.ui
	/usr/bin/uic torrentitem.ui -o ui_torrentitem.h

ui_filterdialog.h: filterdialog.ui
	/usr/bin/uic filterdialog.ui -o ui_filterdialog.h

ui_settingsdialog.h: settingsdialog.ui
	/usr/bin/uic settingsdialog.ui -o ui_settingsdialog.h

ui_torrentdialog.h: torrentdialog.ui
	/usr/bin/uic torrentdialog.ui -o ui_torrentdialog.h

ui_addtorrentdialog.h: addtorrentdialog.ui
	/usr/bin/uic addtorrentdialog.ui -o ui_addtorrentdialog.h

ui_filesdialog.h: filesdialog.ui
	/usr/bin/uic filesdialog.ui -o ui_filesdialog.h

=== debian/changelog ===
uremote (1.0.1) stable; urgency=low

  * Implemented partial censorship of hashes to protect privacy of users

 -- Reuben D'Netto <rdnetto+uremote@gmail.com>  Wed, 24 Feb 2010 17:20:21 +1100

uremote (1.0.0) stable; urgency=low

  * Initial release

 -- Reuben D'Netto <rdnetto+uremote@gmail.com>  Mon,  8 Feb 2010 20:10:15 +1100

=== debian/control ===
Source: uremote
Section: user/network
Priority: extra
Maintainer: Reuben D'Netto <rdnetto+uremote@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: uremote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-network, libqt4-gui
Description: A client for remotely managing uTorrent.
  uRemote is an open source client for remotely managing uTorrent. It supports viewing, adding/removing and filtering torrents.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=4860&group_id=1305&func=browse
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAbpSURB
  VGhD1Zr5U1NXFMf5N15ABUFrXdgGEANlMSxSLGPHOo5WFIdix47aqdpW26gV
  hWo7dnRaxWXsQi1LjIBRthAICYuKGksVUIRWg1WLK1JFqOTbcxMCIeuLIoQf
  vvNe3rvv3vO559xzbl7ipgPQ3HUL6s7mcaXO513oByRuzPiOZw/ALownKZsb
  kF9bKnFjMz9AgxfkDVcVixSjbew8v64E2/L2DQGwm89dQD3QDdrBzpl6Scxo
  djSe2wTIkzbjqx3qMZTKZGx2rkJ6Ri0ydjeg8eoDxwDM+JjYHJLUZfROkgzL
  V1aituEuXwAyPqbKZbR06Rl8ndmKP1qe8AUoIONrXEbLkzXYt1eLptanfAEK
  ERNXTyFEihl7rVjRiAP7b6Ol7RlPgLhCiBLIcAYxLgFiHXlASWByUrEVldE1
  xUD4GSfA2fbDJ855DzAAuzMvx5IlFUhPP2uhtetU9OxpUrVJH862f+0AxXrD
  WXExV7XqFhl+YiCDGQ1xtv2rArA1EG9vETtrkLPtXQEglurIYBYbbQCHa8Cx
  QaL4KoMX9WvJcXtD4bSe9V7DIuZhkLMeiCMAG2n75QDsFjIeAGxGWQjp+7Hd
  XlGpRWhoLkLDyjFbqEbIbJWFFr53AXv2dODKNb6V2GEh4wlAxhsKou32p4v/
  hJfXEVIRJnqWg5tYaiFhRA3EW9ugudLNsxI7LGSOAaJiKxEWXYOgEBX8/KVY
  v6Haato9daodHh4H4THxBNwnlY09QIXiJkJCchA4uxizAiswdWo5ze4xrF5d
  YRVAJmsDx2WB85BaNZ55xHkPvEIIDRokyAHnXmCQ4CekrZKPPoBoHsUwpUKj
  hrKE7RBqaXmIXbsuICLSYDjTxk/PoFp1xypAecUN+AZmw9M7m2CPkfLATZAN
  88ZLe4AtQFPNJaDo2DqI7OT1x119aGp6hIyM80hJKdfPPDO++1/LbQfbhjRe
  uYdNW2qRmqagfgsJ+Ecyno6eQ4t5xACi59UhPL6WIGx7wLg3evhIByZr+yXT
  ay/o5U4PvU3QdvTh4KGrhvUwmdaD9wgDCKNq4B+ixJSZtDAj8vBxhtKucb19
  9BaB5AignxowiKfP+pEvuT4CADvpS3284QsNU1RcHeZEqjEruAre0ysMsRmW
  jbRM64vSmsGd93vQRGtDodTizt2neoOttRtMAMwDPjSOF2mSs1kokwDeHgJg
  xvvQrE+YRjna6FYnAWrq7yI98zxNRC7K5FqbnhkGMJWMZyII59YAAcxNKEAE
  xbvfHCV8fA3GC96gzqaQGES4bQ800bubnd+cxbf7zuvFzpd9UI7wWBn1JcOi
  ZDk2b6/F3sOXIJW1Q171NypIWUcvY2UaVWLjGjACkCeEIqrE26kSN9mpxORV
  UMhiW4aKBpMiILIak/3lELxZaiEuwjaAovomQkW/ITIhD5Hz8hFK68XHL5cm
  gMKCjPLylcIvTIKYpCKkrFJg3Xq1XokLZPALzoPAMxuCqUXDxgyjxCHeQQDN
  dgCMMbllpxIBEbnw8CuzKUGUbQBZKVXWaQcM8j5MafEXuE8rgvtMCkECYEf2
  mV3nOLrPZpyJ0qfAK9/qmOGJPADYu1H23nHN5hJ4BVNngTTzNsRF2wEoJ4CZ
  +8H5UlHyPQFuRiEEfqchCKDQ8yvRH9lndp2bTvenk2eYZlDhmyWzOmbYuxRC
  e8kDrQ42c+xFaurGk+ACDoELKbEt0S82s5BMTgD+BBB03H4f9vo3uydcTABZ
  BNDGYzeaupHKeBABvEUAthRrB0BBuTz4B3BCArDXhxP3hO87A/A5AcwhgBgC
  sKV4OwBVBBBGANEEYK8PJ+4JU5wB+JIAImlxzaeYHRTBzDdR4jHM33ASMnWb
  hbYdrAcnoglIoPg2fYbXuemYQ+fCVQRwmEKonU8IbSWAuCPgFlFO1ouyxyLq
  zFQLJGQc7TQTKHuYK5GeTfoV3ELKNObPOfzMxjKOO3QUrquD+Od2aP7iA7CD
  ZjqJtrYp6gGp6GimFZXgkmmAZdTWXMlkxHI5PaO0fM68H6ufjeMOHYWbLkKc
  q4VGy+M7ceou2u8sphlee8FlJExvhrjgH2hu9Tj+Tpy6h2ZuJYXRF7S1dREJ
  v7sBccljaO708gD4vg7cGgW43bddRsIj9yFW9kLT+cIxwIdHNZiy9RyCsp8g
  NKcbwryx14JTPRA36KB5wONXyrXHWxGRdQ0f1fTjs0s6iJvgMtJ02QFgu1G2
  H9J0dKOq7Qku3tOh8RFwuWv09TuNyWQ+9r0+OwCOvvqN5v3/aCKZzMc0vW7x
  Q/doGjgSYw0CsP9JqK9dhPRsuf7/B+NF9Vcv4bL2usSN/WWl4Jxcki49IGF/
  nhgvYsbrdLpP/gcb5IfQaiz4VwAAAABJRU5ErkJggg==

## uremote 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: uremote
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Wed Feb 24 17:33:21 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 22 17:48:57 2010
 # Project:  uremote.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile uremote.pro
@@ -19,7 +19,7 @@
 INSTALL_PROGRAM = install -m 755 -p
 INSTALL_DIR   = $(COPY_DIR)
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -29,10 +29,10 @@
 
 src/$(MAKEFILE): 
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/user/Archive/uRemote/uremote-1.0.2/src/src.pro -unix -o $(MAKEFILE)
 sub-src-qmake_all:  FORCE
 	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
-	cd src/ && $(QMAKE) src.pro -unix -o $(MAKEFILE)
+	cd src/ && $(QMAKE) /home/user/Archive/uRemote/uremote-1.0.2/src/src.pro -unix -o $(MAKEFILE)
 sub-src: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE)
 sub-src-make_default: src/$(MAKEFILE) FORCE
@@ -50,7 +50,7 @@
 sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
 	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
 
-Makefile: uremote.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: uremote.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: src
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Feb 9 20:06:09 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 22 20:38:38 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -10,13 +10,13 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I. -I.
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I. -I.
 LINK          = g++
-LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtNetwork -lQtCore -lpthread
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -26,11 +26,12 @@
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -83,15 +84,14 @@
 		moc_addtorrentdialog.o \
 		moc_filesdialog.o \
 		moc_aboutdialog.o
-DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
+DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
@@ -134,15 +134,14 @@
 $(TARGET): ui_mainwindow.h ui_torrentitem.h ui_filterdialog.h ui_settingsdialog.h ui_torrentdialog.h ui_addtorrentdialog.h ui_filesdialog.h ui_aboutdialog.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
+Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
@@ -154,10 +153,11 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtGui.prl \
+		/usr/lib/libQtCore.prl \
 		/usr/lib/libQtNetwork.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/libQtDBus.prl \
+		/usr/lib/libQtXml.prl
 	$(QMAKE) -unix -o Makefile src.pro
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
@@ -165,7 +165,7 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
@@ -177,8 +177,10 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtGui.prl:
+/usr/lib/libQtCore.prl:
 /usr/lib/libQtNetwork.prl:
-/usr/lib/libQtCore.prl:
+/usr/lib/libQtDBus.prl:
+/usr/lib/libQtXml.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
@@ -283,9 +285,3 @@
 ui_torrentdialog.h: torrentdialog.ui
 	/usr/bin/uic torrentdialog.ui -o ui_torrentdialog.h
 
-ui_addtorrentdialog.h: addtorrentdialog.ui
-	/usr/bin/uic addtorrentdialog.ui -o ui_addtorrentdialog.h
-
-ui_filesdialog.h: filesdialog.ui
-	/usr/bin/uic filesdialog.ui -o ui_filesdialog.h
-

=== debian/changelog ===
uremote (1.0.2) stable; urgency=low

  Fixed bugs relating to Qt 4.6 (PR 1.2)
  * Fixed mouse click bug
  * Changed settings file location to ~/.config/uRemote.conf

 -- Reuben D'Netto <rdnetto+uremote@gmail.com>  Thu, 22 Jul 2010 17:05:10 +1000

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := uremote
builddir:
	mkdir -p builddir
builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
build: build-stamp
build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/uremote
	cd builddir && $(MAKE)
	mkdir -p $(CURDIR)/debian/$(APPNAME)/usr/share/applications/hildon/
	mkdir -p $(CURDIR)/debian/$(APPNAME)/usr/share/icons/hicolor/32x32/apps/
	mkdir -p $(CURDIR)/debian/$(APPNAME)/usr/share/icons/hicolor/48x48/apps/
	mkdir -p $(CURDIR)/debian/$(APPNAME)/usr/share/icons/hicolor/64x64/apps/
	cp $(CURDIR)/builddir/src/src $(CURDIR)/debian/$(APPNAME)/usr/bin/$(APPNAME)
	cp $(CURDIR)/uremote.desktop $(CURDIR)/debian/$(APPNAME)/usr/share/applications/hildon/
	cp $(CURDIR)/icon32.png $(CURDIR)/debian/$(APPNAME)/usr/share/icons/hicolor/32x32/apps/uremote.png
	cp $(CURDIR)/icon48.png $(CURDIR)/debian/$(APPNAME)/usr/share/icons/hicolor/48x48/apps/uremote.png
	cp $(CURDIR)/icon64.png $(CURDIR)/debian/$(APPNAME)/usr/share/icons/hicolor/64x64/apps/uremote.png

INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
# Build architecture-dependent files here.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uremote 1.0.3

=== debian/changelog ===
uremote (1.0.3) stable; urgency=low

  * Fixed bugs relating to Qt 4.6 (PR 1.2)
  * Fixed mouse click bug
  * Changed settings file location to ~/.config/uRemote.conf

 -- Reuben D'Netto <rdnetto+uremote@gmail.com>  Thu, 22 Jul 2010 17:05:10 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: uremote
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-network, libqt4-gui
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-network, libqt4-gui, libqt4-dbus
 Description: A client for remotely managing uTorrent.
   uRemote is an open source client for remotely managing uTorrent. It supports viewing, adding/removing and filtering torrents.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=4860&group_id=1305&func=browse
